LURKER-PRUNE(1)

NAME
lurker-prune — prunes the web-server cache

SYNOPSIS

lurker-prune [-c <config-file>] [-f <frontend>] [-m <days>] [-a <days>] [-p -v]

DESCRIPTION

lurker-prune prunes obsolete or stale files from the web-server accessible cache. This command must be run at regular intervals from eg. a cronjob. If it is not run, then the lurker web interface will appear to not be receiving new mail or have contradictory links between pages. A good interval is every 15 minutes and should not exceed one hour.

Be aware that it is possible for an attacker to use up a large amount of disk space through lurker. An attacker could request many distinct lurker web pages each of which is cached, thus using disk space. Please setup a quota for the lurker user, read your logs, and follow whatever site-specific policies you have for denial of service.

A good script to run in parallel with normal lurker-prune use is one similar to: if test `du -s /var/www/lurker | cut -f1` -gt 32768; then lurker-prune -p; fi This might help guard against a potential denial-of-service attack.

OPTIONS

-c config-file
    Use this config file for lurker settings.

-f frontend
    The directory of the lurker frontend cache to clean. You can selectively purge cache with this option. By default, lurker-prune will clean all frontends specified in the config file.

-m days
    Keep cached files for at most this many days. Any cached file regardless of last access will be deleted after the specified number of days (defaults to 7). Files which are obsolete due to new mail, config changes, or no accesses will be deleted earlier. Deleted files will be automagically regenerated if needed.

-a days
    Kill cache files not accessed for this many days. Any cached file which has not been read from for the specified number of days (defaults to 1) will be deleted. Files which are obsolete due to new mail or config changes will be deleted earlier. Deleted files will be automagically regenerated if needed.

-p  Purge mode. Delete all cache files even if they do not appear to be expired. This will only deletes files that are generated by lurker, and is thus preferable to rm */*.

-v  Verbose operation. Indicate which files are being deleted and the reasoning behind lurker's decisions. This can help in tracking down why some files are deleted and not others.

SEE ALSO

lurker-index(1), lurker-params(1), lurker-list(1)

lurker documentation on http://lurker.sourceforge.net/

COPYRIGHT

Copyright (C) 2002: Wesley W. Terpstra <terpstra@users.sourceforge.net>

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; version 2.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

BUGS

Before reporting a bug, please confirm that the bug you found is still present in the latest official release. If the problem persists, then send mail with instructions describing how to reproduce the bug to <lurker-users@lists.sourceforge.net>.